## org.codehaus.plexus.collections
Interface ActiveMap

All Superinterfaces:
  ActiveCollection, java.util.Map

All Known Implementing Classes:
  AbstractActiveMap, DefaultActiveMap

    public interface ActiveMap

extends ActiveCollection, java.util.Map

Type of `Map`, which is backed by a `PlexusContainer` instance, and retrieves a fresh batch of elements for each method call. Entries consist of component-role-hint -> component-instance.
NOTE: All active collections are immutable, and will throw an `UnsupportedOperationException` if a mutator method is called.

Author:
  jdcasey

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`boolean` `checkedContainsKey(java.lang.Object key)` Same as `Map.containsKey(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsValue(java.lang.Object value)` Same as `Map.containsValue(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Set` `checkedEntrySet()` Same as `Map.entrySet()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object` `checkedGet(java.lang.Object key)` Same as `Map.get(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Set` `checkedKeySet()` Same as `Map#keySet(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Collection` `checkedValues()` Same as `Map#values(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, getRole, isEmpty, size`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### checkedContainsKey

    boolean checkedContainsKey(java.lang.Object key)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map.containsKey(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsValue

    boolean checkedContainsValue(java.lang.Object value)
                                 throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map.containsValue(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedEntrySet

    java.util.Set checkedEntrySet()
                                  throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map.entrySet()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedGet

    java.lang.Object checkedGet(java.lang.Object key)
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map.get(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedKeySet

    java.util.Set checkedKeySet()
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map#keySet(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedValues

    java.util.Collection checkedValues()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Same as `Map#values(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

Copyright © 2011. All Rights Reserved.